# Uses of Class
javax.management.InvalidAttributeValueException

Packages that use InvalidAttributeValueException
Package
Description
javax.management
Provides the core classes for the Java Management Extensions.
javax.management.modelmbean
Provides the definition of the ModelMBean classes.
javax.management.remote.rmi
The RMI connector is a connector for the JMX Remote API that uses RMI to transmit client requests to a remote MBean server.

## Uses of InvalidAttributeValueException in javax.management

Methods in javax.management that throw InvalidAttributeValueException
Modifier and Type
Method
Description
`void`
DynamicMBean.`setAttribute​(Attribute attribute)`
Set the value of a specific attribute of the Dynamic MBean.
`void`
MBeanServer.`setAttribute​(ObjectName name, Attribute attribute)`
`void`
MBeanServerConnection.`setAttribute​(ObjectName name, Attribute attribute)`
Sets the value of a specific attribute of a named MBean.
`void`
StandardMBean.`setAttribute​(Attribute attribute)`

## Uses of InvalidAttributeValueException in javax.management.modelmbean

Methods in javax.management.modelmbean that throw InvalidAttributeValueException
Modifier and Type
Method
Description
`void`
RequiredModelMBean.`setAttribute​(Attribute attribute)`
Sets the value of a specific attribute of a named ModelMBean.

## Uses of InvalidAttributeValueException in javax.management.remote.rmi

Methods in javax.management.remote.rmi that throw InvalidAttributeValueException
Modifier and Type
Method
Description
`void`
RMIConnection.`setAttribute​(ObjectName name, MarshalledObject attribute, Subject delegationSubject)`
Handles the method `MBeanServerConnection.setAttribute(ObjectName, Attribute)`.
`void`
RMIConnectionImpl_Stub.`setAttribute​(ObjectName $param_ObjectName_1, MarshalledObject $param_MarshalledObject_2, Subject $param_Subject_3)`
`void`
RMIConnectionImpl.`setAttribute​(ObjectName name, MarshalledObject attribute, Subject delegationSubject)`